MEMPOOL_DESTROY(9)

NAME
mempool_destroy - deallocate a memory pool

SYNOPSIS

void mempool_destroy(mempool_t * pool);

ARGUMENTS

pool
    pointer to the memory pool which was allocated via mempool_create.

DESCRIPTION

Free all reserved elements in pool and pool itself. This function only sleeps if the free_fn function sleeps.

COPYRIGHT